Skip to content
Last updated

UpdateToDoItem

Update To-Do Item.

Request Parameters

ParameterTypeDescriptionRequired
actionstring"UpdateToDoItem"Required
itemidintThe To-Do item's ID.Required
adminidintThe ID of the admin user updating the To-Do item.Required
statusstringThe status of the To-Do item.Optional
dateintThe date for the To-Do item.Optional
titlestringThe To-Do item's title.Optional
descriptionstringA description of the To-Do item.Optional
duedateintThe To-Do item's due date.Optional

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error
itemidintThe ID of the affected To-Do item.

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'UpdateToDoItem',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'itemid' => '1',
            'adminid' => '1',
            'status' => 'Completed',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'UpdateToDoItem';
$postData = array(
    'itemid' => '1',
    'adminid' => '1',
    'status' => 'Completed',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success",
    "itemid": "1"
}

Version History

VersionChangelog
1.0Initial Version